Package org.apache.any23.extractor.html

## Class HCalendarExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.HCalendarExtractorTest

-     public class HCalendarExtractorTest
      extends AbstractExtractorTestCase

  Test case for `HCalendarExtractor`class.
  Version:
    $Id: HCalendarExtractorTest.html 1893240 2021-09-11 04:44:21Z lewismc $
  Author:
    Davide Palmisano ( dpalmisano@gmail.com ), Michele Mostarda ( michele.mostarda@gmail.com )

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HCalendarExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `test01()` |
    `void` | `test02()` |
    `void` | `test03()` |
    `void` | `test04()` |
    `void` | `test05()` |
    `void` | `test06()` |
    `void` | `test07()` |
    `void` | `test08()` |
    `void` | `test09()` |
    `void` | `test10()` |
    `void` | `test11()` |
    `void` | `test12()` |
    `void` | `test13()` |
    `void` | `test15()` |
    `void` | `test16()` |
    `void` | `test17()` |
    `void` | `test18()` |
    `void` | `testFullHCalendarClass()` |
    `void` | `testHCalendarClassWithJournal()` |
    `void` | `testHCalendarClassWithTodo()` |
    `void` | `testHCalendarWithBudyInfo()` |
    `void` | `testNoMicroformats()` |
    `void` | `testNoMicroformatsInStatCvsPage()` |
    `void` | `testOneVEvent()` |
    `void` | `testRepetitiveEvent()` |
    `void` | `testThreeDayEvent()` |
    `void` | `testTransparentEvent()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HCalendarExtractorTest

          public HCalendarExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testOneVEvent

          public void testOneVEvent()
                             throws Exception

      Throws:
        `Exception`

    - #### testTransparentEvent

          public void testTransparentEvent()
                                    throws Exception

      Throws:
        `Exception`

    - #### testRepetitiveEvent

          public void testRepetitiveEvent()
                                   throws Exception

      Throws:
        `Exception`

    - #### testThreeDayEvent

          public void testThreeDayEvent()
                                 throws Exception

      Throws:
        `Exception`

    - #### testHCalendarWithBudyInfo

          public void testHCalendarWithBudyInfo()
                                         throws Exception

      Throws:
        `Exception`

    - #### test01

          public void test01()
                      throws Exception

      Throws:
        `Exception`

    - #### test02

          public void test02()
                      throws Exception

      Throws:
        `Exception`

    - #### test03

          public void test03()
                      throws Exception

      Throws:
        `Exception`

    - #### test04

          public void test04()
                      throws Exception

      Throws:
        `Exception`

    - #### test05

          public void test05()
                      throws Exception

      Throws:
        `Exception`

    - #### test06

          public void test06()
                      throws Exception

      Throws:
        `Exception`

    - #### test07

          public void test07()
                      throws Exception

      Throws:
        `Exception`

    - #### test08

          public void test08()
                      throws Exception

      Throws:
        `Exception`

    - #### test09

          public void test09()
                      throws Exception

      Throws:
        `Exception`

    - #### test10

          public void test10()
                      throws Exception

      Throws:
        `Exception`

    - #### test11

          public void test11()
                      throws Exception

      Throws:
        `Exception`

    - #### test12

          public void test12()
                      throws Exception

      Throws:
        `Exception`

    - #### test13

          public void test13()
                      throws Exception

      Throws:
        `Exception`

    - #### test15

          public void test15()
                      throws Exception

      Throws:
        `Exception`

    - #### test16

          public void test16()
                      throws Exception

      Throws:
        `Exception`

    - #### test17

          public void test17()
                      throws Exception

      Throws:
        `Exception`

    - #### test18

          public void test18()
                      throws Exception

      Throws:
        `Exception`

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws Exception,
                                         IOException,
                                         ExtractionException

      Throws:
        `Exception`
        `IOException`
        `ExtractionException`

    - #### testNoMicroformatsInStatCvsPage

          public void testNoMicroformatsInStatCvsPage()
                                               throws Exception,
                                                      IOException,
                                                      ExtractionException

      Throws:
        `Exception`
        `IOException`
        `ExtractionException`

    - #### testFullHCalendarClass

          public void testFullHCalendarClass()
                                      throws Exception

      Throws:
        `Exception`

    - #### testHCalendarClassWithTodo

          public void testHCalendarClassWithTodo()
                                          throws Exception

      Throws:
        `Exception`

    - #### testHCalendarClassWithJournal

          public void testHCalendarClassWithJournal()
                                             throws Exception

      Throws:
        `Exception`